# $Revision: 1.10 $, $Date: 2002/04/23 10:56:50 $
Summary:	nvidia overclock utility
Summary(pl):	Narzdzie do podkrcania kart nvidii
Name:		nvclock
Version:	0.5
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.evil3d.net/pub/Evil3D/nvclock/%{name}%{version}.tar.gz
Source1:	nvclock.png
URL:		http://www.evil3d.net/products/nvclock/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		%{_sbindir}

%description
This program allows you to overclock your nvidia card under linux.
Warning! It can burn your graphics card!

%description -l pl
Ten program pozwala Ci na podkrcanie Twojej karty graficznej NVidia
pod Linuksem. Uwaga! Moe on spali kart graficzn!

%package gtk
Summary:	GTK version of nvclock
Summary(pl):	nvclock z interfejsem GTK
Group:		Applications/System

%description gtk
This program allows you to overclock your nvidia card under linux.
Warning! It can burn your graphics card!

This is GTK version.

%description gtk -l pl
Ten program pozwala Ci na podkrcanie Twojej karty graficznej NVidia
pod Linuksem. Uwaga! Moe on spali kart graficzn!

To jest wersja GTK.

%prep
%setup -q -n %{name}%{version}

%build
rm -f missing
aclocal
autoheader
autoconf
automake -a -c -f
%configure \
	--enable-gtk
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/System,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ABOUT AUTHORS ChangeLog FAQ README

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
cat >$RPM_BUILD_ROOT%{_applnkdir}/System/nvclock.desktop <<EOF
[Desktop Entry]
Name=nvclock
Comment=nvidia overclock utility
Comment[pl]=Narzdzie do podkrcania kart nvidii
Icon=nvclock.png
Exec=nvclock_gtk
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/nvclock

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvclock_gtk
%{_pixmapsdir}/*
%{_applnkdir}/System/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nvclock.spec,v $
Revision 1.10  2002/04/23 10:56:50  wolf
- small changes in description, proper one for nvclock-gtk (it's not frontend)
- added icon, desktop file
- release 2

Revision 1.9  2002/04/09 14:49:17  kloczek
- added full regenerate ac/am files.

Revision 1.8  2002/03/31 12:02:40  wolf
- updated to 0.5
- gtk subpackage
- warning in description

Revision 1.7  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/06 09:42:17  qboosh
- Group changed to Applications/System; release 2

Revision 1.3  2001/11/14 11:47:11  filon
- changed to %%%configure2_13, to make it build

Revision 1.2  2001/04/01 11:48:20  misiek
bindir->sbindir

Revision 1.1  2001/04/01 11:45:31  misiek
NVidia overclock utility; stb
